Order RUM retention filters for a RUM application.
Returns RUM retention filter objects without attributes from the request body when the request is successful.
## default
#
# Path parameters exportapp_id="CHANGE_ME" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
// Order RUM retention filters returns "Ordered" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){body:=datadogV2.RumRetentionFiltersOrderRequest{Data:[]datadogV2.RumRetentionFiltersOrderData{{Type:datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,Id:"325631eb-94c9-49c0-93f9-ab7e4fd24529",},{Type:datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,Id:"42d89430-5b80-426e-a44b-ba3b417ece25",},{Type:datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,Id:"bff0bc34-99e9-4c16-adce-f47e71948c23",},},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewRumRetentionFiltersApi(apiClient)resp,r,err:=api.OrderRetentionFilters(ctx,"1d4b9c34-7ac4-423a-91cf-9902d926e9b3",body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `RumRetentionFiltersApi.OrderRetentionFilters`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `RumRetentionFiltersApi.OrderRetentionFilters`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Order RUM retention filters returns "Ordered" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.RumRetentionFiltersApi;importcom.datadog.api.client.v2.model.RumRetentionFilterType;importcom.datadog.api.client.v2.model.RumRetentionFiltersOrderData;importcom.datadog.api.client.v2.model.RumRetentionFiltersOrderRequest;importcom.datadog.api.client.v2.model.RumRetentionFiltersOrderResponse;importjava.util.Arrays;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));RumRetentionFiltersApiapiInstance=newRumRetentionFiltersApi(defaultClient);RumRetentionFiltersOrderRequestbody=newRumRetentionFiltersOrderRequest().data(Arrays.asList(newRumRetentionFiltersOrderData().type(RumRetentionFilterType.RETENTION_FILTERS).id("325631eb-94c9-49c0-93f9-ab7e4fd24529"),newRumRetentionFiltersOrderData().type(RumRetentionFilterType.RETENTION_FILTERS).id("42d89430-5b80-426e-a44b-ba3b417ece25"),newRumRetentionFiltersOrderData().type(RumRetentionFilterType.RETENTION_FILTERS).id("bff0bc34-99e9-4c16-adce-f47e71948c23")));try{RumRetentionFiltersOrderResponseresult=apiInstance.orderRetentionFilters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3",body);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling RumRetentionFiltersApi#orderRetentionFilters");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
"""
Order RUM retention filters returns "Ordered" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.rum_retention_filters_apiimportRumRetentionFiltersApifromdatadog_api_client.v2.model.rum_retention_filter_typeimportRumRetentionFilterTypefromdatadog_api_client.v2.model.rum_retention_filters_order_dataimportRumRetentionFiltersOrderDatafromdatadog_api_client.v2.model.rum_retention_filters_order_requestimportRumRetentionFiltersOrderRequestbody=RumRetentionFiltersOrderRequest(data=[RumRetentionFiltersOrderData(type=RumRetentionFilterType.RETENTION_FILTERS,id="325631eb-94c9-49c0-93f9-ab7e4fd24529",),RumRetentionFiltersOrderData(type=RumRetentionFilterType.RETENTION_FILTERS,id="42d89430-5b80-426e-a44b-ba3b417ece25",),RumRetentionFiltersOrderData(type=RumRetentionFilterType.RETENTION_FILTERS,id="bff0bc34-99e9-4c16-adce-f47e71948c23",),],)configuration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]withApiClient(configuration)asapi_client:api_instance=RumRetentionFiltersApi(api_client)response=api_instance.order_retention_filters(app_id="1d4b9c34-7ac4-423a-91cf-9902d926e9b3",body=body)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Order RUM retention filters returns "Ordered" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]endapi_instance=DatadogAPIClient::V2::RumRetentionFiltersAPI.newbody=DatadogAPIClient::V2::RumRetentionFiltersOrderRequest.new({data:[DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({type:DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,id:"325631eb-94c9-49c0-93f9-ab7e4fd24529",}),DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({type:DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,id:"42d89430-5b80-426e-a44b-ba3b417ece25",}),DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({type:DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,id:"bff0bc34-99e9-4c16-adce-f47e71948c23",}),],})papi_instance.order_retention_filters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3",body)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Order RUM retention filters returns "Ordered" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;usedatadog_api_client::datadogV2::model::RumRetentionFilterType;usedatadog_api_client::datadogV2::model::RumRetentionFiltersOrderData;usedatadog_api_client::datadogV2::model::RumRetentionFiltersOrderRequest;#[tokio::main]asyncfnmain(){letbody=RumRetentionFiltersOrderRequest::new().data(vec![RumRetentionFiltersOrderData::new("325631eb-94c9-49c0-93f9-ab7e4fd24529".to_string(),RumRetentionFilterType::RETENTION_FILTERS,),RumRetentionFiltersOrderData::new("42d89430-5b80-426e-a44b-ba3b417ece25".to_string(),RumRetentionFilterType::RETENTION_FILTERS,),RumRetentionFiltersOrderData::new("bff0bc34-99e9-4c16-adce-f47e71948c23".to_string(),RumRetentionFilterType::RETENTION_FILTERS,),]);letconfiguration=datadog::Configuration::new();letapi=RumRetentionFiltersAPI::with_config(configuration);letresp=api.order_retention_filters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3".to_string(),body).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<API-KEY>"DD_APP_KEY="<APP-KEY>"cargo run
/**
* Order RUM retention filters returns "Ordered" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});constapiInstance=newv2.RumRetentionFiltersApi(configuration);constparams: v2.RumRetentionFiltersApiOrderRetentionFiltersRequest={body:{data:[{type:"retention_filters",id:"325631eb-94c9-49c0-93f9-ab7e4fd24529",},{type:"retention_filters",id:"42d89430-5b80-426e-a44b-ba3b417ece25",},{type:"retention_filters",id:"bff0bc34-99e9-4c16-adce-f47e71948c23",},],},appId:"1d4b9c34-7ac4-423a-91cf-9902d926e9b3",};apiInstance.orderRetentionFilters(params).then((data: v2.RumRetentionFiltersOrderResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
Request a personalized demo
Get Started with Datadog
Ask AI
AI-generated responses may be inaccurate. Verify important info.